:root {
    /*color*/

    --c-dark-press: #008939;

    --c-primary: #4EAF51;
    --c-primary-rgb: 78, 175, 81;

    --c-hover: #71BF74;

    --c-circle-menu: #83C785;

    --c-light-green: #A0D4A1;

    --c-light-hover: #E6F3E5;

    --c-title-text: #1C1C1E;
    --c-title-text-rgb: 38, 38, 38;

    --c-subtitle: #49494D;
    --c-subtitle-rgb: 73, 73, 77;

    --c-icon: #8C8C8C;
    --c-icon-rgb: 140, 140, 140;

    --c-disabled: #BFBFBF;

    --c-border: #D9D9D9;

    --c-line: #E8E8E8;

    --c-dividers: #F0F0F0;

    --c-bg: #F5F5F5;
    --c-bg-rgb: 245, 245, 245;

    --c-table-header: #FAFAFA;

    --c-link: #1890FF;

    --c-success: #52C41A;

    --c-error: #F5222D;

    --c-warning: #FAAD14;

    --c-notification: #FADB14;


    /*font size*/
    --fs-title-1: 40px;
    --fs-title-2: 32px;
    --fs-title-3: 24px;
    --fs-subtitle: 20px;
    --fs-body-1: 18px;
    --fs-body-2: 16px;
    --fs-body-3: 14px;
    --fs-small-1: 12px;
    --fs-small-2: 10px;
    --fs-h-1: 56px;
    --fs-h-2: 48px;
    --fs-h-3: 40px;
    --fs-h-4: 32px;
    --fs-h-5: 24px;
    --fs-h-6: 20px;
    --fs-h-7: 16px;

    /*line height*/
    --lh-title-1: 48px;
    --lh-title-2: 40px;
    --lh-title-3: 32px;
    --lh-subtitle: 28px;
    --lh-body-1: 24px;
    --lh-body-2: 24px;
    --lh-body-3: 20px;
    --lh-small-1: 14px;
    --lh-small-2: 12px;
    --lh-h-1: 64px;
    --lh-h-2: 56px;
    --lh-h-3: 48px;
    --lh-h-4: 40px;
    --lh-h-5: 32px;
    --lh-h-6: 28px;
    --lh-h-7: 24px;
}

a {
    text-decoration: none;
}

ul li {
    list-style: none;
}

hr {
    margin: 0;
    color: inherit;
    border: 0;
    border-top: 1px solid;
    opacity: .25;
}

/*language start*/

.language {
    position: relative;
    display: inline-block;
    margin: 0 5px;
}

.language label > span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    font-size: var(--fs-body-2);
    text-transform: uppercase;
    width: 50%;
    height: 100%;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid transparent;
    border-radius: 8px;
}

.language label > span.on {
    left: 0;
    color: var(--c-subtitle);
    border-color: transparent;
}

.language label > span.off {
    right: 0;
    color: var(--c-primary);
    border-color: var(--c-primary);
}

.language .check-toggle {
    position: absolute;
    display: none;
    visibility: hidden;
}

.language .check-toggle + label {
    display: block;
    position: relative;
    cursor: pointer;
    outline: none;
    user-select: none;
}

.language input.check-toggle-round-flat + label {
    width: 98px;
    height: 40px;
}

.language input.check-toggle-round-flat:checked + label span.on {
    color: var(--c-primary);
    border-color: var(--c-primary);
}

.language input.check-toggle-round-flat:checked + label span.off {
    color: var(--c-subtitle);
    border-color: transparent;
}

/*language end*/

/*auth start*/
.auth-page .left-side {
    background-color: rgba(209, 236, 249, 0.5);
    background-image: url("./img/auth-bottom.png");
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: 100% auto;
}

.auth-page .auth-page__title {
    color: var(--c-dark-press);
    font-size: var(--fs-title-2);
    line-height: var(--lh-title-2);
    font-weight: 700;
}

.auth-page .auth-page__subtitle {
    color: var(--c-subtitle);
    font-size: var(--fs-body-2);
    line-height: var(--fs-body-2);
}

/*auth end*/
.header {
    height: 48px;
}

.main {
    background: #F0F2F5;
    padding-top: 48px;
    padding-left: 50px;
    transition: padding 0.2s;
}

.main.active {
    padding-left: 208px;
}

.search {
    width: 316px;
    height: 32px;
}

.search input {
    border-radius: 20px;
    outline: none;
    padding: 8px 16px;
}

.search input::placeholder {
    color: rgba(0, 0, 0, 0.3);
}

.search .btn {
    width: 24px;
    height: 24px;
    right: 4px;
    top: 50%;
    transform: translateY(-50%);
}

/*components start*/

/*input group start*/
.input-group .input-group-text {
    background-color: transparent;
    border: none;
    border-top: 1px solid #ced4da;
    border-left: 1px solid #ced4da;
    border-bottom: 1px solid #ced4da;
}

.input-group .form-control {
    border: none;
    border-top: 1px solid #ced4da;
    border-right: 1px solid #ced4da;
    border-bottom: 1px solid #ced4da;
}

/*input group end*/
.btn {
    --bs-btn-active-color: transparent;
    --bs-btn-active-bg: transparent;
    --bs-btn-active-border-color: transparent;
}

.btn-primary {
    --bs-btn-font-weight: 500;
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--c-primary);
    --bs-btn-border-color: var(--c-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--c-hover);
    --bs-btn-hover-border-color: var(--c-hover);
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--c-dark-press);
    --bs-btn-active-border-color: var(--c-dark-press);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--c-title-text);
    --bs-btn-disabled-bg: var(--c-line);
    --bs-btn-disabled-border-color: var(--c-line);
    --bs-btn-disabled-opacity: 0.9;
}

.btn-outline-primary {
    --bs-btn-color: var(--c-primary);
    --bs-btn-border-color: var(--c-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--c-primary);
    --bs-btn-hover-border-color: var(--c-primary);
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--c-primary);
    --bs-btn-active-border-color: var(--c-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--c-primary);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--c-primary);
    --bs-gradient: none;
    --bs-btn-disabled-opacity: 0.9;
}

.btn-link {
    --bs-btn-font-weight: 400;
    --bs-btn-color: var(--c-link);
    --bs-btn-bg: transparent;
    --bs-btn-border-color: transparent;
    --bs-btn-hover-color: var(--c-link);
    --bs-btn-hover-border-color: transparent;
    --bs-btn-active-color: var(--c-link);
    --bs-btn-active-border-color: transparent;
    --bs-btn-disabled-color: #6c757d;
    --bs-btn-disabled-border-color: transparent;
    --bs-btn-box-shadow: none;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    text-decoration: underline;
    --bs-btn-disabled-opacity: 0.9;
}

.btn-outline-danger {
    --bs-btn-color: var(--c-error);
    --bs-btn-border-color: var(--c-error);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--c-error);
    --bs-btn-hover-border-color: var(--c-error);
    --bs-btn-focus-shadow-rgb: 220, 53, 69;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--c-error);
    --bs-btn-active-border-color: var(--c-error);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--c-error);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--c-error);
    --bs-gradient: none;
    --bs-btn-disabled-opacity: 0.9;
}

.btn-danger {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--c-error);
    --bs-btn-border-color: var(--c-error);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #bb2d3b;
    --bs-btn-hover-border-color: #b02a37;
    --bs-btn-focus-shadow-rgb: 225, 83, 97;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #b02a37;
    --bs-btn-active-border-color: #a52834;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--c-error);
    --bs-btn-disabled-border-color: var(--c-error);
    --bs-btn-disabled-opacity: 0.9;
}

.btn-default {
    --bs-btn-color: var(--c-title-text);
    --bs-btn-border-color: var(--c-line);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--c-dark-press);
    --bs-btn-hover-border-color: var(--c-dark-press);
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: var(--c-dark-press);
    --bs-btn-active-bg: var(--c-light-green);
    --bs-btn-active-border-color: var(--c-light-green);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--c-title-text);
    --bs-btn-disabled-bg: var(--c-line);
    --bs-btn-disabled-border-color: var(--c-line);
    --bs-gradient: none;
    --bs-btn-disabled-opacity: 0.9;
}

.bg-primary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--c-primary-rgb), var(--bs-bg-opacity)) !important;
}

.bg-main {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--c-bg-rgb), var(--bs-bg-opacity)) !important;
}

.popover-body {
    padding: 0;
}

.text-dark {
    --bs-text-opacity: 1;
    color: rgba(var(--c-title-text-rgb), var(--bs-text-opacity)) !important;
}

.text-icon {
    --bs-text-opacity: 1;
    color: rgba(var(--c-icon-rgb), var(--bs-text-opacity)) !important;
}

.text-subtitle {
    --bs-text-opacity: 1;
    color: rgba(var(--c-subtitle-rgb), var(--bs-text-opacity)) !important;
}

/*components end*/

/*menu start*/
.menu-popover {
    width: calc(100vw);
    inset: 0px auto auto 0px !important;
    max-width: 100%;
    transform: translate(0, 51px) !important;
    background-color: transparent;
    border: none;
}


.menu {
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}


.main-menu__item {
    height: 96px;
    background-color: #fff;
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.15);
    transition: all 0.2s;
}

.main-menu__item span {
    color: var(--c-title-text);
}

.main-menu__item:hover {
    background-color: var(--c-light-hover);
}

.main-menu__item:hover span {
    color: var(--c-primary)
}

/*menu end*/

.breadcrumb-custom {
    box-shadow: 0px 6px 6px 0px rgba(34, 60, 80, 0.2);
}

/*tab start*/
.nav-tabs .nav-link {
    border: 0;
}

.nav-link {
    color: var(--c-subtitle);
}

.inner-tabs {
    /*border: 1px solid var(--c-border);*/
    /*border-radius: 4px;*/
    overflow: hidden;
}

.inner-tabs > .nav-tabs > .nav-item {
    border: none !important;
    --bs-nav-tabs-border-width: 0;
    --bs-nav-tabs-border-color: transparent;
    --bs-nav-tabs-border-radius: 0;
    --bs-nav-tabs-link-hover-border-color: transparent transparent transparent;
    --bs-nav-tabs-link-active-color: var(--c-primary);
    --bs-nav-tabs-link-active-bg: transparent;
    --bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;
    border-bottom: var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color);
    position: relative;
}

.inner-tabs > .nav-tabs > .nav-item > .nav-link {
    height: 56px;
    display: flex;
    align-items: center;
}
.inner-tabs > .nav-tabs > .nav-item .nav-link:focus,
.inner-tabs > .nav-tabs > .nav-item .nav-link:hover {
    isolation: isolate;
    border-color: var(--c-hover) !important;
    color: var(--c-hover);
}

.inner-tabs > .nav-tabs > .nav-item .nav-link.active:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--c-primary);
}

.outer-tabs {
    border: 1px solid var(--c-border);
    border-radius: 4px;
    overflow: hidden;
}

.outer-tabs > .nav-tabs > .nav-item {
    border: none !important;
    --bs-nav-tabs-border-width: 0;
    --bs-nav-tabs-border-color: transparent;
    --bs-nav-tabs-border-radius: 0;
    --bs-nav-tabs-link-hover-border-color: transparent transparent transparent;
    --bs-nav-tabs-link-active-color: #fff;
    --bs-nav-tabs-link-active-bg: var(--c-hover);
    --bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;
    border-bottom: var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color);
    position: relative;
}

.outer-tabs > .nav-tabs > .nav-item > .nav-link {
    height: 64px;
    display: flex;
    align-items: center;
}

.outer-tabs > .nav-tabs > .nav-item > .nav-link:hover {
    isolation: isolate;
    border-color: var(--c-dark-press) !important;
    color: var(--c-dark-press);
}

.outer-tabs > .nav-tabs {
    background-color: var(--c-table-header);
    box-shadow: 0px 6px 6px 0px rgba(34, 60, 80, 0.2);
}

/*tab end*/


/*card start*/
.card{
    border-top: 1px solid var(--c-border);
}
/*card end*/

.overlay{
    position: absolute;
    left: 0;
    right: 0;
    top: 48px;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.60);
    z-index: 1;
    visibility: hidden;
    opacity: 0;
}

.show{
    visibility: visible;
    opacity: 1;
}



footer{

}

.form-check-input:checked {
    background-color: var(--c-primary);
    border-color: var(--c-primary);
}

.tableIcon svg {
    color: #8c8c8c;
    transition: all 0.2s;
    cursor: pointer;
}

.tableIcon svg.fa-pen:hover {
    color: #1890ff;
}


.tableIcon svg.fa-trash:hover {
    color: #e84646;
}